### Function

# Gtk render_arrow

#### Declaration [src]

    void
    gtk_render_arrow (
      GtkStyleContext* context,
      cairo_t* cr,
      double angle,
      double x,
      double y,
      double size
    )

#### Description [src]

Renders an arrow pointing to `angle`.

Typical arrow rendering at 0, 1⁄2 π;, π; and 3⁄2 π:

.

#### Parameters

`context` | `GtkStyleContext`
| A `GtkStyleContext`.
| The data is owned by the caller of the function.
`cr` | `cairo_t*`
| A `cairo_t`.
| The data is owned by the caller of the function.
`angle` | `double`
| Arrow angle from 0 to 2 * `G_PI`, being 0 the arrow pointing to the north.
`x` | `double`
| X origin of the render area.
`y` | `double`
| Y origin of the render area.
`size` | `double`
| Square side for render area.